% Naturalness Preservation Image Contrast Enhancement via Histogram Modification
% Qi-Chong Tian and Laurent D.Cohen
% CEREMADE, Universite Paris Dauphine, PSL Research University
% Email: qichong.tian@gmail.com
% 2017-07-30

clc;
clear all
close all

% Input images
img_org = imread('test.png');
% Processing with our method
img_out = GNCE(img_org);
% Show results
figure;
subplot(1,2,1),subimage(uint8(img_org)),title('original image');
subplot(1,2,2),subimage(uint8(img_out)),title('enhanced image');